edu.cmu.pslc.logging.element

## Class SemanticEventElement

- java.lang.Object
- - edu.cmu.pslc.logging.element.SemanticEventElement

- All Implemented Interfaces:
    EventElement

      public class SemanticEventElement
      extends java.lang.Object
      implements EventElement

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SemanticEventElement(java.lang.String transactionId, java.lang.String name)`
    `SemanticEventElement(java.lang.String transactionId, java.lang.String name, java.lang.String trigger, java.lang.String subtype)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getId()` Get the event Id as a String.
    `java.lang.String` | `getName()`
    `java.lang.String` | `getSubtype()`
    `java.lang.String` | `getTransactionId()`
    `java.lang.String` | `getTrigger()`
    `void` | `setId(java.lang.String id)` Set the event id.
    `java.lang.String` | `toString()` Returns the xml version of the object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SemanticEventElement

          public SemanticEventElement(java.lang.String transactionId,
                              java.lang.String name,
                              java.lang.String trigger,
                              java.lang.String subtype)

    - #### SemanticEventElement

          public SemanticEventElement(java.lang.String transactionId,
                              java.lang.String name)

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

      Description copied from interface: `EventElement`
      Get the event Id as a String.
      Specified by:
        `getId` in interface `EventElement`
      Returns:
        the event Id.

    - #### setId

          public void setId(java.lang.String id)

      Description copied from interface: `EventElement`
      Set the event id.
      Specified by:
        `setId` in interface `EventElement`
      Parameters:
        `id` - String of the event id.

    - #### getTransactionId

          public java.lang.String getTransactionId()

    - #### getName

          public java.lang.String getName()

    - #### getTrigger

          public java.lang.String getTrigger()

    - #### getSubtype

          public java.lang.String getSubtype()

    - #### toString

          public java.lang.String toString()

      Returns the xml version of the object.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        xml version of the object

Copyright (c) 2015 - Pittsburgh Science of Learning Center